import os
from ase.mep import NEB 
from ase.io import read, write


def creat_NEB_images(atoms_init, atoms_final, n_images):
    images = [atoms_init]
    for i in range(n_images):
        images.append(atoms_init.copy())
    images.append(atoms_final)
    neb = NEB(images) 
    neb.interpolate(method="idpp", mic=True)
    return(images)


def write_NEB_images(images):
    for i, image in enumerate(images):
        dir_name = str(i).zfill(2)
        #os.mkdir(dir_name)
        #write(f'{dir_name}/POSCAR', image, format='vasp')
        write(f'POSCAR-{dir_name}', image, format='vasp')


vac_init = read('CONTCAR-init', format='vasp')   # the same as CONTCAR in initial folder 
vac_final = read('CONTCAR-final', format='vasp')  # the same as CONTCAR in final folder

images = creat_NEB_images(vac_init, vac_final, 3)

write_NEB_images(images)

